com.holonplatform.vaadin.flow.components.builders

## Interface ComponentGroupConfigurator<P,T,E extends HasComponent,G extends BoundComponentGroup<P,E>,C extends ComponentGroupConfigurator<P,T,E,G,C>>

- Type Parameters:
    `P` - Property type
    `T` - Group item type
    `E` - Group element type
    `G` - Group type
    `C` - Concrete configurator type
  All Known Subinterfaces:
    BeanListingBuilder<T>, BeanListingBuilder.DatastoreBeanListingBuilder<T>, BeanListingConfigurator<T,C>, InputGroupConfigurator<P,T,G,C>, InputGroupConfigurator.BeanInputGroupConfigurator<T,G,C>, InputGroupConfigurator.PropertySetInputGroupConfigurator<G,C>, ItemListingBuilder<T,P,L,B>, ItemListingConfigurator<T,P,L,C>, PropertyInputFormBuilder<C>, PropertyInputFormConfigurator<C,B>, PropertyInputGroupBuilder, PropertyInputGroupConfigurator<C>, PropertyListingBuilder, PropertyListingBuilder.DatastorePropertyListingBuilder, PropertyListingBuilder.DatastorePropertyListingConfigurator, PropertyListingConfigurator<C>, PropertyViewFormBuilder<C>, PropertyViewFormConfigurator<C>, PropertyViewGroupBuilder, PropertyViewGroupConfigurator<C>

      public interface ComponentGroupConfigurator<P,T,E extends HasComponent,G extends BoundComponentGroup<P,E>,C extends ComponentGroupConfigurator<P,T,E,G,C>>

  Component group configurator.
  Since:
    5.2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `C` | `usePropertyRendererRegistry(com.holonplatform.core.property.PropertyRendererRegistry propertyRendererRegistry)` Set to use the provided `PropertyRendererRegistry` to render the group components.
    `C` | `withValueChangeListener(ValueHolder.ValueChangeListener<T,GroupValueChangeEvent<T,P,E,G>> listener)` Add a group value change listener.

- - ### Method Detail

    - #### usePropertyRendererRegistry

          C usePropertyRendererRegistry(com.holonplatform.core.property.PropertyRendererRegistry propertyRendererRegistry)

      Set to use the provided `PropertyRendererRegistry` to render the group components.

      By default, the `PropertyRendererRegistry.get()` method is used to obtain the `PropertyRendererRegistry` to use.

      Parameters:
        `propertyRendererRegistry` - The `PropertyRendererRegistry` to use to render the group components
      Returns:
        this

    - #### withValueChangeListener

          C withValueChangeListener(ValueHolder.ValueChangeListener<T,GroupValueChangeEvent<T,P,E,G>> listener)

      Add a group value change listener.
      Parameters:
        `listener` - The `ValueHolder.ValueChangeListener` to add (not null)
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.